/*
 * Copyright (c) 2019. JetBrains s.r.o.
 * Use of this source code is governed by the MIT license that can be found in the LICENSE file.
 */

package jetbrains.gis.tileprotocol.socket

import io.ktor.client.*
import io.ktor.client.engine.cio.*
import io.ktor.client.plugins.websocket.*

actual class TileWebSocketBuilder actual constructor(
    private val myUrl: String
) : SocketBuilder {
    override fun build(handler: SocketHandler): Socket {
        val client = HttpClient(CIO) {
            install(WebSockets)
        }

        return TileWebSocket(client, handler, myUrl)
    }
}